#!/bin/sh

echo "======= START of MMS LIB (libmms.a) ======="
echo ""
echo ""

MMS_BUILD_DIR=$(pwd)

if [ "$MMS_BUILD_DIR" = "" ] || [ "$ARM_LINUX_V7A8" = "" ]; then
echo "+++++++ export Error!!! +++++++"
echo "    export ARM_LINUX_V7A8 is NULL"
echo "OR  pwd command failed"
echo ""
else
echo "+++++++ configure +++++++"
echo ""
echo "./configure --prefix=$MMS_BUILD_DIR --host=arm --enable-threads --with-pic CC=${ARM_LINUX_V7A8}/arm-v7a8-linux-gnueabi-gcc CXX=${ARM_LINUX_V7A8}/arm-v7a8-linux-gnueabi-g++"
./configure --prefix=$MMS_BUILD_DIR --host=arm --enable-threads --with-pic CC=${ARM_LINUX_V7A8}/arm-v7a8-linux-gnueabi-gcc CXX=${ARM_LINUX_V7A8}/arm-v7a8-linux-gnueabi-g++
if [ $? != 0 ]; then
echo "======> configure error"
exit 1
fi
echo ""
echo "+++++++ make clean +++++++"
echo ""
make clean
if [ $? != 0 ]; then
echo "======> configure error"
exit 1
fi
echo ""
echo "+++++++ make all +++++++"
echo ""
make all
if [ $? != 0 ]; then
echo "======> configure error"
exit 1
fi
echo ""
echo "+++++++ make install +++++++"
echo ""
make install
if [ $? != 0 ]; then
echo "======> configure error"
exit 1
fi
echo ""
echo "+++++++ cp libmms.a & header +++++++"
echo ""
cp -vf ./lib/libmms.a ../Lib/GENOAS/
cp -vf ./lib/libmms.a ../Lib/GENOAP/
echo ""
cp -vf ./src/mms.h ./include/libmms/mms.h
cp -vf ./src/mms.h ../Inc/mms.h
cp -vf ./src/mms_config.h ./include/libmms/mms_config.h
cp -vf ./src/mms_config.h ../Inc/mms_config.h
fi
echo ""
echo "======= END of MMS LIB (libmms.a) ======="
echo ""

