#!/bin/sh

echo "======= START of MMS LIB (libmms.a) ======="
echo ""
echo ""

MMS_BUILD_DIR=$(pwd)

if [ "$MMS_BUILD_DIR" = "" ] || [ "$MIPS_LINUX" = "" ]; then
echo "+++++++ export Error!!! +++++++"
echo "    export MIPS_LINUX is NULL"
echo "OR  pwd command failed"
echo ""
else
echo "+++++++ configure +++++++"
echo ""
echo "./configure --prefix=$MMS_BUILD_DIR --host=mips --enable-threads CC=${MIPS_LINUX}/mips-linux-gnu-gcc CXX=${MIPS_LINUX}/mips-linux-gnu-g++ CFLAGS=\"-Wall -O3 -fPIC -msoft-float -EL -mmemcpy\""
./configure --prefix=$MMS_BUILD_DIR --host=mips --enable-threads CC=${MIPS_LINUX}/mips-linux-gnu-gcc CXX=${MIPS_LINUX}/mips-linux-gnu-g++ CFLAGS="-Wall -O3 -fPIC -msoft-float -EL -mmemcpy"
if [ $? != 0 ]; then
echo "======> configure error"
exit 1
fi
echo ""
echo "+++++++ make clean +++++++"
echo ""
make clean
if [ $? != 0 ]; then
echo "======> configure error"
exit 1
fi
echo ""
echo "+++++++ make all +++++++"
echo ""
make all
if [ $? != 0 ]; then
echo "======> configure error"
exit 1
fi
echo ""
echo "+++++++ make install +++++++"
echo ""
make install
if [ $? != 0 ]; then
echo "======> configure error"
exit 1
fi
echo ""
echo "+++++++ cp libmms.a & header +++++++"
echo ""
cp -vf ./lib/libmms.a ../Lib/X5_VE/
cp -vf ./lib/libmms.a ../Lib/X5/
cp -vf ./lib/libmms.a ../Lib/X6/
echo ""
cp -vf ./src/mms.h ./include/libmms/mms.h
cp -vf ./src/mms.h ../Inc/mms.h
cp -vf ./src/mms_config.h ./include/libmms/mms_config.h
cp -vf ./src/mms_config.h ../Inc/mms_config.h
fi
echo ""
echo "======= END of MMS LIB (libmms.a) ======="
echo ""

